"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = _default;

var _colors = _interopRequireDefault(require("colors"));

var _dgram = require("dgram");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

async function _default(port = null) {
  return new Promise((resolve, reject) => {
    const udp = (0, _dgram.createSocket)('udp4');
    udp.on('error', err => {
      console.log('Error:');
      console.log(err);
      console.log(err.stack);
      udp.close();
      reject(err);
    });

    if (port !== null) {
      udp.on('listening', () => {
        const address = udp.address();
        console.log(`\n⚡️  OSC Debugger server listening to ${address.address}:${address.port}`.yellow.bold);
        resolve(udp);
      });
      udp.bind(port);
    } else {
      resolve(udp);
    }
  });
}