"use strict";

var _inquirer = require("inquirer");

var _monitor = _interopRequireDefault(require("./monitor.js"));

var _send = _interopRequireDefault(require("./send.js"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const Task = {
  MONITOR: 'MONITOR',
  SEND: 'SEND'
};

async function run() {
  const {
    task,
    port
  } = await (0, _inquirer.prompt)([{
    type: 'list',
    name: 'task',
    message: 'What do you want to do?',
    choices: [{
      value: Task.MONITOR,
      name: 'Monitor OSC messages'
    }, {
      value: Task.SEND,
      name: 'Send OSC messages'
    }]
  }, {
    type: 'input',
    name: 'port',
    message: 'What port do you want to connect to?',
    default: 666,
    filter: value => parseInt(value)
  }]);

  if (task === Task.MONITOR) {
    await (0, _monitor.default)(port);
  } else if (task === Task.SEND) {
    await (0, _send.default)(port);
  } else {
    throw new TypeError(`Unknown task: ${task}`);
  }
}

run().catch(err => {
  console.log('An error occured:');
  console.log(err);
  console.log(err.stack);
});