"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = monitor;

var _oscMin = _interopRequireDefault(require("osc-min"));

var _colors = _interopRequireDefault(require("colors"));

var _createSocket = _interopRequireDefault(require("./createSocket.js"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

async function monitor(port) {
  try {
    const socket = await (0, _createSocket.default)(port);
    socket.on('message', buffer => {
      const message = _oscMin.default.fromBuffer(buffer);

      console.log(`${`[${port}]`.gray} ${message.address.padEnd(30).yellow} ${_colors.default.cyan(message.args[0].value)} (${message.args[0].type.white})`);
    });
    console.log(`Now go send some OSC messages to this address...`.gray);
  } catch (err) {
    throw err;
  }
}